A translatable subpage page should not be messed while moving subpages
Closed, ResolvedPublic

Description

If a translatable page A/B is a subpage of a page A, and the page A is being moved with its subpages to C, A/B gets moved to C/B but its translations A/B/en, A/B/foo, A/B/bar as well as unit pages Translations:A/B/1/en, Translations:A/B/2/bar and so on do not get moved. They can't be moved after it manually as well. So the translatable page now C/B needs to be moved back to A/B and then moved to C/B along with its satelites.

Thus when moving pages like A pages like A/B should either be moved the same way as when you move them directly or not moved at all.

(I'm sorry for kinda messy desc, didn't find right words to explain it without "variables")

Base created this task.Oct 3 2015, 9:19 PM
Base updated the task description. (Show Details)
Base raised the priority of this task from to Needs Triage.
Base added a subscriber: Base.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 3 2015, 9:19 PM

I thought this is already checked, at least you can choose whether to move non-translatable subpages or not. Maybe it's confused if there is another translatable page under translatable page.

Nikerabbit triaged this task as Normal priority.Nov 3 2015, 3:52 PM
Glaisher raised the priority of this task from Normal to High.Aug 9 2016, 5:09 AM
Glaisher added a subscriber: Glaisher.

I was able to confirm this while testing another move-related patch today. This is actually quite a severe bug, imo, and would cause large scale disruption and lots of work for users if done on translatable pages with lots of translations so increasing priority.

Glaisher claimed this task.Aug 9 2016, 5:34 AM
Ata added a subscriber: Ata.

I wanted to start a new task but then found this one:

@Lea_Lacroix_WMDE moved WD:Wiktionary to WD:Lexicographical data on Wikidata, which was a translatable page. This successfully triggered FuzzyBot, which started moving the page and its subpages. However, some of those subpages were not translations but other translatable pages. Those were moved as well but not their translations.

This had to be repaired by hand by removing those pages from translation, moving back to the old title, re-marking for translation (which attached translations) and then moving again to the new title.

Unless @Glaisher disagrees, I'd like to fix this bug as soon as possible.

Change 415084 had a related patch set uploaded (by Matěj Suchánek; owner: Matěj Suchánek):
[mediawiki/extensions/Translate@master] Don't move translatable subpages when moving parent

https://gerrit.wikimedia.org/r/415084

Base updated the task description. (Show Details)Mar 11 2018, 9:16 PM

Sorry to be here for an live example, but I deleted https://commons.wikimedia.org/wiki/Template:Mozilla_Public_License/i18n (in fact ./en got deleted) to be able to move subpages per hand from https://commons.wikimedia.org/wiki/Special:PrefixIndex?prefix=MPL%2F&namespace=10 (which got not moved due the move bug by @Jarekt 2018-03-22) which seems a very bad idea from me.
As now (FuzzyBot) deleted all subpages without warning. And I restored all pages, but now the template is not translatable anymore.

Change 415084 merged by jenkins-bot:
[mediawiki/extensions/Translate@master] Don't move translatable subpages when moving parent

https://gerrit.wikimedia.org/r/415084

Suggestion for Tech/News:

On groups of pages using Extension:Translate, it will not be possible to move translatable subpages when moving their parent page.

Please check (and thank you for the fix)! :)

Perhaps someone using these tools in their workflows could comment, but I feel the proposed message highlights the wrong part: it was moving of those pages that was causing an issue by creating an unexpected mess. So the highlight is that it is now safe(r) to move translatable pages having translatable subpages.

Makes sense.

Do you know when this will go into production?

It's in 1.33.0-wmf.4 which, I assume, is deployed already.

matej_suchanek closed this task as Resolved.Sat, Nov 24, 1:16 PM
matej_suchanek reassigned this task from matej_suchanek to Nikerabbit.
Nikerabbit added a subscriber: matej_suchanek.

I assume @matej_suchanek confirmed the patch works.